Index: bogoconfig.c
===================================================================
RCS file: /cvsroot/bogofilter/bogofilter/src/bogoconfig.c,v
retrieving revision 1.167
diff -u -r1.167 bogoconfig.c
--- bogoconfig.c	5 Mar 2004 15:27:56 -0000	1.167
+++ bogoconfig.c	18 Mar 2004 20:53:26 -0000
@@ -470,8 +470,12 @@
 	break;
 
     case 'c':
-	if (pass == PASS_1_CLI)
-	    read_config_file(val, false, !quiet, PR_CFG_USER);
+	if (pass == PASS_1_CLI) {
+	    if (!read_config_file(val, false, !quiet, PR_CFG_USER)) {
+		fprintf(stderr, "Cannot open %s: %s\n", val, strerror(errno));
+		exit(EX_ERROR);
+	    }
+	}
 
 	/*@fallthrough@*/
 	/* fall through to suppress reading config files */
Index: configfile.c
===================================================================
RCS file: /cvsroot/bogofilter/bogofilter/src/configfile.c,v
retrieving revision 1.44
diff -u -r1.44 configfile.c
--- configfile.c	15 Mar 2004 17:35:44 -0000	1.44
+++ configfile.c	18 Mar 2004 20:53:27 -0000
@@ -129,7 +129,6 @@
     fp = fopen(filename, "r");
 
     if (fp == NULL) {
-	fprintf(stderr, "Cannot open %s: %s\n", filename, strerror(errno));
 	xfree(filename);
 	return false;
     }
